<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Oct 27, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20171027" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-10-27</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/ContainerRule.java<a name="orgeclipsepapyrusdesignercomponentsFCMContainerRule.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.emf.common.util.EList'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/ContainerRule.html#L15">15</a></td></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.emf.ecore.EClass'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/ContainerRule.html#L16">16</a></td></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.uml2.uml.InstanceSpecification'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/ContainerRule.html#L18">18</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/Port.java<a name="orgeclipsepapyrusdesignercomponentsFCMPort.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/Port.html#L117">117</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/AssemblyImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplAssemblyImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/AssemblyImpl.html#L79">79</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/AssemblyImpl.html#L80">80</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplCodeGenOptionsImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.html#L89">89</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.html#L90">90</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.html#L129">129</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CodeGenOptionsImpl.html#L130">130</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/CompImplTemplateImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplCompImplTemplateImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CompImplTemplateImpl.html#L121">121</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CompImplTemplateImpl.html#L122">122</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/CompToOOmappingImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplCompToOOmappingImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CompToOOmappingImpl.html#L77">77</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/CompToOOmappingImpl.html#L78">78</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/ConfigurableElementInstanceImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplConfigurableElementInstanceImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConfigurableElementInstanceImpl.html#L78">78</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConfigurableElementInstanceImpl.html#L79">79</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplConnectorImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L100">100</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L101">101</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L140">140</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L141">141</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L180">180</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ConnectorImpl.html#L181">181</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplContainerRuleImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid unused imports such as 'java.util.Collection'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L15">15</a></td></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.emf.common.util.EList'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L17">17</a></td></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.emf.ecore.util.EObjectResolvingEList'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L22">22</a></td></tr><tr class="b"><td>Avoid unused imports such as 'org.eclipse.uml2.uml.InstanceSpecification'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L26">26</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L103">103</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ContainerRuleImpl.html#L104">104</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplFCMFactoryImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CodeGenOptions'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L22">22</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompImplTemplate'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L23">23</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompToOOmapping'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L24">24</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Connector'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L25">25</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ContainerRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L26">26</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ContainerRuleKind'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L27">27</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.FCMFactory'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L28">28</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.FCMPackage'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L29">29</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ImplementationGroup'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L30">30</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L31">31</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InteractionComponent'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L32">32</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InterceptionKind'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L33">33</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InterceptionRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L34">34</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Port'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L35">35</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.PortKind'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L36">36</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.RuleApplication'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L37">37</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Singleton'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L38">38</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.TemplatePort'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L39">39</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FCMFactoryImpl.html#L40">40</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/FragmentImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplFragmentImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FragmentImpl.html#L77">77</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/FragmentImpl.html#L78">78</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/ImplementationGroupImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplImplementationGroupImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ImplementationGroupImpl.html#L77">77</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/ImplementationGroupImpl.html#L78">78</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplInstanceConfiguratorImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.html#L97">97</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InstanceConfiguratorImpl.html#L98">98</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplInteractionComponentImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html#L133">133</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html#L134">134</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html#L173">173</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InteractionComponentImpl.html#L174">174</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplInterceptionRuleImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid using a branching statement as the last in a loop.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html#L173">173</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html#L189">189</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html#L190">190</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html#L229">229</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/InterceptionRuleImpl.html#L230">230</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplPortImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L108">108</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L109">109</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L148">148</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L149">149</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L187">187</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortImpl.html#L188">188</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplPortKindImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L54">54</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L111">111</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L114">114</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L116">116</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L117">117</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L128">128</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L138">138</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L139">139</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L156">156</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L157">157</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L196">196</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L197">197</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L282">282</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Class' due to existing import 'org.eclipse.uml2.uml.Class'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html#L303">303</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplRuleApplicationImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.html#L104">104</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.html#L105">105</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.html#L157">157</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/RuleApplicationImpl.html#L158">158</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/SingletonImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplSingletonImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/SingletonImpl.html#L77">77</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/SingletonImpl.html#L78">78</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.java<a name="orgeclipsepapyrusdesignercomponentsFCMimplUseInstanceConfiguratorImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.html#L89">89</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.html#L90">90</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.html#L129">129</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/components/FCM/impl/UseInstanceConfiguratorImpl.html#L130">130</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.java<a name="orgeclipsepapyrusdesignercomponentsFCMutilFCMAdapterFactory.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CodeGenOptions'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L20">20</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompImplTemplate'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L21">21</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompToOOmapping'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L22">22</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ConfigurableElementInstance'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L23">23</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Connector'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L24">24</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ContainerRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L25">25</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.FCMPackage'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L26">26</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ImplementationGroup'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L27">27</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L28">28</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InteractionComponent'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L29">29</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InterceptionRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L30">30</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Port'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L31">31</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.PortKind'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L32">32</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.RuleApplication'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L33">33</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Singleton'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L34">34</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.TemplatePort'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L35">35</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMAdapterFactory.html#L36">36</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.java<a name="orgeclipsepapyrusdesignercomponentsFCMutilFCMSwitch.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CodeGenOptions'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L19">19</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompImplTemplate'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L20">20</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.CompToOOmapping'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L21">21</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ConfigurableElementInstance'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L22">22</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Connector'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L23">23</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ContainerRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L24">24</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.FCMPackage'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L25">25</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.ImplementationGroup'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L26">26</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L27">27</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InteractionComponent'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L28">28</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.InterceptionRule'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L29">29</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Port'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L30">30</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.PortKind'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L31">31</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.RuleApplication'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L32">32</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.Singleton'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L33">33</a></td></tr><tr class="a"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.TemplatePort'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L34">34</a></td></tr><tr class="b"><td>Avoid duplicate imports such as 'org.eclipse.papyrus.designer.components.FCM.UseInstanceConfigurator'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMSwitch.html#L35">35</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.java<a name="orgeclipsepapyrusdesignercomponentsFCMutilFCMUtil.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L77">77</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L80">80</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L84">84</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L89">89</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L93">93</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L97">97</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L175">175</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.ConnectableElement' due to existing import 'org.eclipse.uml2.uml.ConnectableElement'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMUtil.html#L176">176</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/util/FCMXMLProcessor.java<a name="orgeclipsepapyrusdesignercomponentsFCMutilFCMXMLProcessor.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/util/FCMXMLProcessor.html#L37">37</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/profile/IEmbeddingRule.java<a name="orgeclipsepapyrusdesignercomponentsFCMprofileIEmbeddingRule.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid unused imports such as 'org.eclipse.papyrus.designer.components.FCM.util.FCMUtil.RoleBindingTable'</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/IEmbeddingRule.html#L18">18</a></td></tr><tr class="b"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/IEmbeddingRule.html#L31">31</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.java<a name="orgeclipsepapyrusdesignercomponentsFCMprofileIMappingRule.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#L33">33</a></td></tr><tr class="a"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#L40">40</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.java<a name="orgeclipsepapyrusdesignercomponentsFCMprofileITemplateMappingRule.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#L31">31</a></td></tr><tr class="b"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#L39">39</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
